import usb
import time
import datetime
import os

####################################

VENDOR_RQ_GET_LIGHT  = 0

####################################
class Board:
    def __init__(self):
        #print "Looking for MCU board..."
        dev = self.find_board()
        if not dev: raise "MCU board not found!"
        #print "MCU board found"
        self.handle = dev.open()

    def find_board(self):
        for bus in usb.busses():
            for dev in bus.devices:
                if dev.idVendor == 0x16c0 and dev.idProduct == 0x05dc:
                    return dev
        return None

    def get_light(self):

		print "Input hour :",
		alarm_h=int(raw_input())
		print "Input minute :",
		alarm_m=int(raw_input())
		h=0
		m=0
		while(not(h==alarm_h and m==alarm_m)):
			h = int(datetime.datetime.today().timetuple()[3])
			m = int(datetime.datetime.today().timetuple()[4])
		print "wake up!!!"
		os.system("rhythmbox-client --play") 
    		reqType = usb.TYPE_VENDOR | usb.RECIP_DEVICE | usb.ENDPOINT_IN
    		buf = self.handle.controlMsg(reqType, VENDOR_RQ_GET_LIGHT, 0,timeout = 100000)
		os.system("rhythmbox-client --pause")
